Bug 432239 - Review Request: electronics-menu - Electronics Menu for the Desktop
Review Request: electronics-menu - Electronics Menu for the Desktop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benoît Marcelin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 05:15 EST by Chitlesh GOORAH
Modified: 2008-11-10 12:02 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 11:47:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sereinity: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-02-10 05:15:43 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/electronic-menu/electronics-menu.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/electronic-menu/electronics-menu-1.0-1.fc8.src.rpm
Description:
The programs from the category Electronics are currently located in
the Edutainment directory. This Package adds a
Edutainment->Electronics menu to the xdg menu structure.
Comment 1 Benoît Marcelin 2008-02-10 06:49:37 EST
It builds under Mock, and rpmlint return one warning :
electronics-menu.noarch: W: non-conffile-in-etc
/etc/xdg/menus/applications-merged/electronics.menu


Please note that + items are OK, - items should be fixed or justified, ~ items
needs further investigation.

* MUST items
+ Respect naming guidelines.
+ License: GPLv2 OK
+ The spec file must be written in American English.
+ The spec file for the package MUST be legible.
+ The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
+ Compile on i386 and x86_64 at least.
+ locales are properly handled.
+ Every binary RPM package which stores shared library files (not just symlinks)
in any of the dynamic linker's default paths, must call ldconfig in %post and
%postun. 
+ Not relocatable.
+ A package must own all directories that it creates.
+ A package must not contain any duplicate files in the %files listing.
+ Permissions on files must be set properly. 
+ Each package must have a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
+ Each package must consistently use macros, as described in the macros section
of Packaging Guidelines.
+ The package must contain code, or permissable content. 
+ Large documentation files should go in a -doc subpackage. (The definition of
large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity)
+ If a package includes something as %doc, it must not affect the runtime of the
application.
+ Header files must be in a -devel package.
+ Static libraries must be in a -static package.
+ Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
+ If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
library files that end in .so (without suffix) must go in a -devel package.
+ In the vast majority of cases, devel packages must require the base package
using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
+ Packages must NOT contain any .la libtool archives, these should be removed in
the spec.
+ Packages containing GUI applications must include a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section. 
+ Packages must not own files or directories already owned by other packages.  
+ At the beginning of %install, each package MUST run rm -rf %{buildroot} (or
$RPM_BUILD_ROOT). 
+ All filenames in rpm packages must be valid UTF-8.

* SHOULD Items:
+ Includes licenses text.
+ The description and summary sections in the package spec file should contain
translations for supported Non-English languages, if available.
+ Builds in mock (i386 & x86_64)
~ Builds on i386 & x86_64 (not tested on PPC)
+ runs without segmentation faults
+ No scriptlets.
+ No subpackages.
+ The placement of pkgconfig(.pc) files depends on their usecase, and this is
usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb.
+ If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin,
or /usr/sbin consider requiring the package which provides the file instead of
the file itself. Please see File Dependencies in the Guidelines for further
information.
Comment 2 Benoît Marcelin 2008-02-10 06:55:19 EST
This package is APPROVED.
Comment 3 Chitlesh GOORAH 2008-02-10 06:58:00 EST
Thanks Benôit for this quick review.
Comment 4 Chitlesh GOORAH 2008-02-10 06:58:56 EST
New Package CVS Request
=======================
Package Name: electronics-menu
Short Description: Electronics Menu for the Desktop
Owners: chitlesh
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-02-11 12:58:22 EST
cvs done.
Comment 6 Chitlesh GOORAH 2008-11-07 19:11:00 EST
Package Change Request
=======================
Package Name: electronics-menu
Short Description: Electronics Menu for the Desktop
Owners: chitlesh
Branches: EL-5
Comment 7 Kevin Fenzi 2008-11-10 12:02:37 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.